fcf.module({
  name: "fcf:tests/NFSQL/DB.DeleteJoin.js",
  dependencies: ["fcf:NTest/uniTest.js", "fcf:tests/NFSQL/Helpers/Helper.js"],
  module: function(uniTest, Helper) {
    uniTest.add("FSQL DB" , "DB Delete Join", function(a_tester) {

      var insertId = -1;
      Helper.query(a_tester, { query: "DELETE FROM fcftest_single_types_joininsert"});
      Helper.query(a_tester, { query: "DELETE FROM fcftest_single_types_joininsert_slave" });
      Helper.query(a_tester, { query: "DELETE FROM fcftest_single_types_joininsert_master" });
      Helper.query(
        a_tester,
        { query: "INSERT INTO fcftest_single_types_joininsert (str, slave_str, master_str) VALUES (${1}, ${2}, ${3})",
          args: ["test", "join_text", "master_text"],
        }
      );
      Helper.query(a_tester, { query: "DELETE FROM fcftest_single_types_joininsert" },)
      Helper.query(
        a_tester, { query: "SELECT id, str FROM fcftest_single_types_joininsert_slave", args: [], },
        function(a_result){
          uniTest.equal(a_result, [[]]);
        }
      );
      Helper.query(
        a_tester, { query: "SELECT id, str FROM fcftest_single_types_joininsert_master", args: [], },
        function(a_result){
          uniTest.equal(a_result, [[]]);
        }
      );
    });
  }
});
